itodouble 2018-05-04 08:00 采纳率: 100%
浏览 756
已采纳

spring mybatis 使用分页插件 使用jetty和tomcat报错

如果使用分页插件注释为

 @Intercepts({@Signature(type=StatementHandler.class,method="prepare",args={Connection.class,,Integer.class})})

使用jetty正常 使用tomcat就报错

如果使用分页插件注释为

@Intercepts({@Signature(type=StatementHandler.class,method="prepare",args={Connection.class})})

使用jetty报错 使用tomcat就正常

依赖版本

<properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <javax-activation.version>1.1</javax-activation.version>
        <spring.version>4.0.4.RELEASE</spring.version>
        <mysql-connector-java.version>5.1.34</mysql-connector-java.version>
    </properties>


    <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>${mysql-connector-java.version}</version>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid</artifactId>
            <version>1.0.9</version>
        </dependency>
        <dependency>
            <groupId>org.mybatis</groupId>
            <artifactId>mybatis</artifactId>
            <version>3.4.2</version>
        </dependency>
        <dependency>
            <groupId>org.mybatis</groupId>
            <artifactId>mybatis-spring</artifactId>
            <version>1.3.1</version>
        </dependency>


  • 写回答

3条回答 默认 最新

  • a718089112 2018-05-04 08:25
    关注

    你的mybatis版本问题吧,看看你项目发布后真正使用的jar包版本是哪个:
    参考一下:https://blog.csdn.net/zsq520520/article/details/69666734

    本回答被题主选为最佳回答 , 对您是否有帮助呢?
    评论
查看更多回答(2条)

报告相同问题?

悬赏问题

  • ¥50 手写签名不能上传的问题
  • ¥30 linux odbc怎么添加gbase数据库
  • ¥20 电脑开机黑屏,只有一个鼠标,联想zj者y7000
  • ¥20 DXSDK_jun10
  • ¥20 请问这种量表怎么用spss量化分析(作为中介模型的因变量
  • ¥55 AD844 howland电流源如何驱动大额负载
  • ¥15 C++ /QT 内存权限的判断函数列举
  • ¥15 深度学习GFnet理解问题
  • ¥15 单细胞小提琴堆叠图代码
  • ¥50 升级strust2版本到2.3.15.1后使用ognl3.0.6.jar windows环境中没有问题,但部署到linux环境报错